<?php
	/* $Id: eDFormBuilder.php,v 1.1.1.1 2002/12/30 13:49:07 bpotier Exp $ */
	require_once(dirname(__FILE__).'/'.'eDUtilities.php');
	require_once(dirname(__FILE__).'/'.'eDObject.php');

	/**
	 * 'eDFormBuilder - eDreamers HTML Form Builder'
	 *
	 * eDFormBuilder automatically generates the HTML Form to edit or create a new Instance of an eDObject.
	 * Unless Foreign Keys are supported in MySQL, eDFormBuilder makes the assumption that field of type mediumint are FK
	 *
	 * @access	public
	 * @version v0.4 21/02/2002
	 * @author	Bertrand Potier <bpotier@edreamers.org>
	 * @package	eDFramework
	 */

	class eDFormBuilder extends eDUtilities {

		var $_eDObject;
		var $arr_instanceMasterFields = array();
		var $_eDMySQLMS;
		var $objectId;

		// to be moved to config file
		var $tbl_xedkey = 'xedkey';
		var $tbl_xedobject = 'xedobject';
		var $tbl_xedconstraint = 'xedconstraint';
		var $fld_xedobjectname = 'xtname';
		var $fld_xedkeyObjectId = 'xyobjectid';
		var $fld_xedkeyMasterField = 'xymasterfield';
		var $fld_xedkeyChildDB = 'xychilddb';
		var $fld_xedkeyChildTable = 'xychildtable';
		var $fld_xedkeyChildField = 'xychildfield';
		var $fld_xedconstraintKeyId = 'xtkeyid';
		var $fld_xedobjectMasterDB = 'xtmasterdb';
		var $fld_xedobjectMasterTable = 'xtmastertable';


		/**
		 * 
		 */
		function eDFormBuilder($objectDB, $objectId, $debug) {
			$this->setDebug($debug);

			$this->out(__FILE__.' :: Line '.__LINE__.' :: Constructor', 'line', 'html');
			$this->objectId = $objectId;
			$this->objectDB = $objectDB;
			$this->eDObject = new eDObject($objectDB, $objectId, 'normal', null, $debug);
			$this->arr_instanceMasterFields = $this->eDObject->getMasterFieldsName();
			$this->_eDMySQLMS = $this->eDObject->getMySQLMS();
		}

		/**
		 *
		 */
		function generateForm() {
			echo '<style>.toolbar { border-top: 1px solid dodgerBlue; padding: 5px; text-align: right; }</style>';
			echo '<form action="eDObjectSave.php" method="post">';
			echo '<fieldset>';
			echo '<legend>'.$this->eDObject->getObjectName().'</legend>';
			// echo '<caption>'.$this->eDObject->getObjectName().'</caption>';
			echo '<table align="center">';

			foreach($this->arr_instanceMasterFields as $key => $value) {
				$arr_theField = $this->_eDMySQLMS->arr_fieldsProperties[$value];

				echo '<tr><td>';
				// STEP 1 : Is the field a key and if build the needed code
				if ( $arr_key = $this->eDObject->isKey($value, true) ) {
					echo '<label>';
						if ($childobjectid = $this->eDObject->findObject($arr_key['xychilddb'], $arr_key['xychildtable'])) {
							echo '<a href="createForm.php?objectdb='.$arr_key['xychilddb'].'&objectid='.$childobjectid.'">';
							echo $arr_theField['Field'];
							echo '</a>';
						} else {
							echo $arr_theField['Field'];
						}
					echo '</label>';
					if ($arr_theField['Null'] == '' ) { echo '**'; }
					echo '</td><td>';
					echo '<select name="f'.$arr_theField['Field'].'">';
					if (sizeof($arr_key['records'])) {
						foreach ($arr_key['records'] as $i => $record) {
							echo '<option value="'.$record[$arr_key[$this->fld_xedkeyChildTable].'id'].'">';
							for ($i=0; $i<sizeof($arr_key['select']); $i++) {
								if( $i > 0 && $i <= sizeof($arr_key['select'])-1 ) { echo ' '; }
								if ($arr_key['select'][$i] != $arr_key[$this->fld_xedkeyChildTable].'id') {
									echo $record[$arr_key['select'][$i]];
								}
							}
							echo '</option>';
						}
					}
					echo '</select>';
				} else {
					echo '<label>'.$arr_theField['Field'].'</label>';
					if ($arr_theField['Null'] == '' ) { echo '**'; }
					echo '</td><td>';
					if ($arr_theField['Key'] == 'PRI') {
						echo 'auto_increment';
					} else {
						$a_ = split("[(][0-9]{1,3}[)]", $arr_theField['Type']);
						ereg("[0-9]{1,3}", $arr_theField['Type'], $fieldSize);
						switch ($a_[0]) {
							case 'mediumint':
								echo '<input type="text" name="f'.$arr_theField['Field'].'" value="'.$arr_theField['Default'].'" length="'.$fieldSize[1].'">';
								break;
							case 'varchar':
							case 'char':
								echo '<input type="text" name="f'.$arr_theField['Field'].'" value="'.$arr_theField['Default'].'" length="'.$fieldSize[1].'">';
								break;
							case 'blob';
							case 'text':
								echo '<textarea name="f'.$arr_theField['Field'].'" rows="" cols="">'.$arr_theField['Default'].'</textarea>';
								break;
							default:
								echo 'The type of this field is not supported';
								break;
						}
					}
				}
				echo '</td></tr>';
			}

			echo '</table>';
			echo '</fieldset>';
			echo '<p class="toolbar">';
				echo '<button onClick="javascript:history.back()">Cancel</button>';
				echo '<button onClick="javascript:form.submit()">Save</button>';
			echo'</p>';
			
			echo '<input type="hidden" name="gotoURL" value="sample.php">';
			echo '<input type="hidden" name="edit" value="0">';
			echo '<input type="hidden" name="objectID" value="'.$this->objectId.'">';
			echo '<input type="hidden" name="objectDB" value="'.$this->objectDB.'">';

			echo '</form>';
		}
	}