<?php
	/* $Id: eDObjectSave.php,v 1.1.1.1 2002/12/30 13:49:09 bpotier Exp $ */
	/**
	 * Save an Object
	 * 
	 * Generic script to update or create object records in the default MySQL db
	 * Architecture is based on:
	 * - one table which records are created or updated via the same form
	 * - means the form is used in edit or create mode
	 * - form action is the object_save.php supporting update or create mode
	 *
	 * $gotoURL		path from the webserver root of the page to redirect this script to
	 * $objectName	the name of the object related to the table
	 * $database	the name of the database
	 * $table		the name of the table to update
	 * $fields		the array of fields to been filled in
	 */


	// STEP 0 - Recreating filesystem path to webserver base
	$base_RPATH = '.';
	$base_APATH = realpath(dirname(__FILE__).'\\'.$base_RPATH).'\\';

	// STEP 1 - Using the base path to retrieve the config file
	require_once($base_APATH.'eDFramework.inc.php');
	require_once($base_APATH.'eDObject.php');
	
	// STEP 2 - Verifying filesystem path received from the config file
	if ( $_cfg_base_APATH != $base_APATH) { echo $lg_error_inconsistentFilePath; exit(); }

	// STEP 3 - Creating this component Relative and Absolute PATH and URL
	$this_RPATH = '.'.$_cfg_fileSeparator;
	$this_APATH = $_cfg_base_APATH.$this_RPATH;
	$this_RURL = './';
	$this_AURL = $_cfg_base_AURL.$this_RURL;

	// STEP 4 - Turning on or off debug mode
	$debug = true;

	// STEP 5 - Setting the name of the object the component is referring to
	$objectName = 'Object Save';

	// STEP 6 - Retrieving POST and GET variables
	if (substr(phpversion(),0,3) != '4.1') { $_REQUEST = array_merge($HTTP_POST_VARS, $HTTP_GET_VARS); }
	
	// STEP 7 - Define variables based on value available from POST, GET or INCLUDE/REQUIRE or use default value
	if ($_REQUEST['gotoURL']) { $gotoURL = $_REQUEST['gotoURL']; }
	else if (!isset($gotoURL) ) { $gotoURL  = ''; }
	if ($_REQUEST['objectID']) { $objectID = $_REQUEST['objectID']; }
	else if (!isset($objectID) ) { $objectID  = NULL; }
	if ($_REQUEST['objectDB']) { $objectDB = $_REQUEST['objectDB']; }
	else if (!isset($objectDB) ) { $objectDB  = NULL; }
	if ($_REQUEST['edit']) { $edit = $_REQUEST['edit']; }
	else if (!isset($edit) ) { $edit = 0; }


	// creating the object structure
	$this->eDObject = new eDObject($objectDB, $objectID, 'normal', null, $debug);

	// Creating the array of fields from $fields string
	$arr_fields = $this->eDObject->getMasterFieldsName();
	$table = $this->eDObject->getMasterTable();

	// Building the needed query, 'update' if in edit mode else 'insert'
	if ($edit) {
		$gQuery = 'UPDATE '.$table.' SET ';
		for ($i=0; $i < sizeof($arr_fields); $i++) {
			$gQuery .= $arr_fields[$i]."='".${'f'.$arr_fields[$i]}."'";
			if ( $i != (sizeof($arr_fields) - 1 ) ) {
				$gQuery .= ', ';
			}
		}
		$gQuery .= ' WHERE '.$table.'id='.${'f'.$table.'id'};
	} else {
		$gQuery = 'INSERT INTO '.$table.' (';
		for ($i=0; $i < sizeof($arr_fields); $i++) {
			$gQuery .= $arr_fields[$i];
			if ( $i != (sizeof($arr_fields) - 1 ) ) {
				$gQuery .= ', ';
			} else {
				$gQuery .= ')';
			}
		}
		$gQuery .= " VALUES (";
		for ($i=0; $i < sizeof($arr_fields); $i++) {
			$gQuery .= "'".$_REQUEST['f'.$arr_fields[$i]]."'";
			if ( $i != (sizeof($arr_fields) - 1 ) ) {
				$gQuery .= ', ';
			} else {
				$gQuery .= ')';
			}
		}

	}
	
	if ($debug) { echo "\n\n".'Query is : '.$gQuery.'<br>'."\n\n"; }
	
	mysql_select_db($objectDB);
	$result = mysql_query ($gQuery );
	
	// go back to management page, not a really redirect, need to find one !
	unset($edit);
	
	// header('Location: '.$basehref.$gotoURL);
	exit();
?>