# $Id: index.sql,v 1.1.1.1 2002/12/30 13:49:12 bpotier Exp $

CREATE DATABASE IF NOT EXISTS edtest;

# Table structure for table `employee`
DROP TABLE IF EXISTS employee;
CREATE TABLE employee (
	employeeid mediumint(9) NOT NULL auto_increment,
	eeteamid mediumint(9) NOT NULL default '0',
	eefunctionid mediumint(9) NOT NULL default '0',
	eefirstname char(30) NOT NULL default '',
	eelastname char(30) NOT NULL default '',
	PRIMARY KEY (employeeid)
) TYPE=MyISAM;

# Dumping data for table `employee`
INSERT INTO employee (employeeid, eeteamid, eefunctionid, eefirstname, eelastname ) VALUES (1, 1, 1, 'John', 'Smith');
INSERT INTO employee (employeeid, eeteamid, eefunctionid, eefirstname, eelastname ) VALUES (2, 2, 2, 'Alain', 'Dupont');


# Table structure for table `function`
DROP TABLE IF EXISTS function;
CREATE TABLE function (
	functionid int(10) NOT NULL auto_increment,
	fnname char(50) NOT NULL default '',
	PRIMARY KEY (functionid)
) TYPE=MyISAM;

# Dumping data for table `function`
INSERT INTO function (functionid, fnname) VALUES (1, 'Developer');
INSERT INTO function (functionid, fnname) VALUES (2, 'System Administrator');


# Table structure for table `team`
DROP TABLE IF EXISTS team;
CREATE TABLE team (
	teamid int(11) NOT NULL auto_increment,
	tmname char(100) NOT NULL default '',
	PRIMARY KEY (teamid)
) TYPE=MyISAM;

# Dumping data for table `team`
INSERT INTO team (teamid, tmname) VALUES (1, 'Team A');
INSERT INTO team (teamid, tmname) VALUES (2, 'Team B'); 


# Table structure for table `department`
DROP TABLE IF EXISTS department;
CREATE TABLE department (
	departmentid mediumint(9) NOT NULL auto_increment,
	dtdivisionid mediumint(9) NOT NULL default '0',
	dtname char(50) NOT NULL default '',
	dtshortname char(5) NOT NULL default '',
	PRIMARY KEY  (departmentid),
	UNIQUE KEY kodeptid (departmentid)
) TYPE=MyISAM;

# Dumping data for table `department`
INSERT INTO department (departmentid, dtdivisionid, dtname, dtshortname) VALUES (1, 1, 'Development', 'DEV');
INSERT INTO department (departmentid, dtdivisionid, dtname, dtshortname) VALUES (8, 1, 'Operations', 'OPS');
INSERT INTO department (departmentid, dtdivisionid, dtname, dtshortname) VALUES (7, 1, 'Strategy', 'SGY');
INSERT INTO department (departmentid, dtdivisionid, dtname, dtshortname) VALUES (6, 1, 'Project Management', 'PPM');
INSERT INTO department (departmentid, dtdivisionid, dtname, dtshortname) VALUES (5, 4, 'Development', 'COD');
INSERT INTO department (departmentid, dtdivisionid, dtname, dtshortname) VALUES (9, 0, '- none -', '');
INSERT INTO department (departmentid, dtdivisionid, dtname, dtshortname) VALUES (10, 4, 'Call Centre', 'CC');
INSERT INTO department (departmentid, dtdivisionid, dtname, dtshortname) VALUES (11, 4, 'Back Office', 'BO');
INSERT INTO department (departmentid, dtdivisionid, dtname, dtshortname) VALUES (12, 4, 'Billing', 'BIL');
INSERT INTO department (departmentid, dtdivisionid, dtname, dtshortname) VALUES (13, 4, 'Planning & Reporting', 'PRN');
INSERT INTO department (departmentid, dtdivisionid, dtname, dtshortname) VALUES (14, 4, 'Program Management', 'PGM');


# Table structure for table `division`
DROP TABLE IF EXISTS division;
CREATE TABLE division (
	divisionid mediumint(9) NOT NULL auto_increment,
	dnname char(100) NOT NULL default '',
	dnshortname char(5) NOT NULL default '',
	PRIMARY KEY  (divisionid),
	UNIQUE KEY divisionid_2 (divisionid),
	KEY divisionid (divisionid)
) TYPE=MyISAM;

# Dumping data for table `division`
INSERT INTO division (divisionid, dnname, dnshortname) VALUES (1, 'Technology', 'TECH');
INSERT INTO division (divisionid, dnname, dnshortname) VALUES (2, 'Human Resources', 'HR');
INSERT INTO division (divisionid, dnname, dnshortname) VALUES (3, 'Commercial', 'COM');
INSERT INTO division (divisionid, dnname, dnshortname) VALUES (4, 'Customer Operations', 'CO');
INSERT INTO division (divisionid, dnname, dnshortname) VALUES (5, '- none -', '');



# Table structure for table `xedconstraint`
DROP TABLE IF EXISTS xedconstraint;
CREATE TABLE xedconstraint (
  xedconstraintid mediumint(9) NOT NULL auto_increment,
  xtkeyid mediumint(9) NOT NULL default '0',
  xttable char(50) NOT NULL default '',
  xtfield char(50) NOT NULL default '',
  xtoperator char(50) NOT NULL default '',
  xtvalue char(50) NOT NULL default '',
  PRIMARY KEY  (xedconstraintid),
  UNIQUE KEY constraintid (xedconstraintid),
  KEY constraintid_2 (xedconstraintid)
) TYPE=MyISAM COMMENT='xeDObject Constraints Definition';

# Dumping data for table `xedconstraint`



# Table structure for table `xedkey`
DROP TABLE IF EXISTS xedkey;
CREATE TABLE xedkey (
  xedkeyid mediumint(9) NOT NULL auto_increment,
  xyobjectid mediumint(9) NOT NULL default '0',
  xymasterfield char(50) NOT NULL default '',
  xychilddb char(50) NOT NULL default '',
  xychildtable char(50) NOT NULL default '',
  xychildfield char(50) NOT NULL default '',
  PRIMARY KEY  (xedkeyid),
  UNIQUE KEY keyid (xedkeyid),
  KEY keyid_2 (xedkeyid)
) TYPE=MyISAM COMMENT='xeDObject Keys Definition';

# Dumping data for table `xedkey`
INSERT INTO xedkey (xedkeyid, xyobjectid, xymasterfield, xychilddb, xychildtable, xychildfield) VALUES (1, 1, 'eefunctionid', 'hr', 'function', 'fnname');
INSERT INTO xedkey (xedkeyid, xyobjectid, xymasterfield, xychilddb, xychildtable, xychildfield) VALUES (2, 1, 'eeteamid', 'hr', 'team', 'tmname');
INSERT INTO xedkey (xedkeyid, xyobjectid, xymasterfield, xychilddb, xychildtable, xychildfield) VALUES (3, 1, 'eedepartmentid', 'hr', 'department', 'dtname');


# Table structure for table `xedobject`
DROP TABLE IF EXISTS xedobject;
CREATE TABLE xedobject (
  xedobjectid mediumint(9) NOT NULL auto_increment,
  xtmasterdb varchar(50) NOT NULL default '',
  xtmastertable varchar(50) NOT NULL default '',
  xtname varchar(50) NOT NULL default '',
  xtdescription tinytext NOT NULL,
  PRIMARY KEY  (xedobjectid),
  UNIQUE KEY objectid (xedobjectid),
  KEY objectid_2 (xedobjectid)
) TYPE=MyISAM COMMENT='xeDObject Definition';

# Dumping data for table `xedobject`
INSERT INTO xedobject (xedobjectid, xtmasterdb, xtmastertable, xtname, xtdescription) VALUES (1, 'hr', 'employee', 'Employee', 'An employee object');