<?php
/**
 * eDNews - The Dynamic News Engine
 *
 * Configure from here the parameters of your eDNews module
 *
 * Get support: support@edreamers.org
 * The Forums: http://eDreamers.org/forums/
 *
 * @version	v2
 */
$CONFIG = array();

/**
 * eDNews Root - This file absolute URL, ex: http://pathto/eDNews/
 */
$CONFIG['root'] = 'http://pathto/eDNews/';

/**
 * eDNews Default Language
 * Set the default language taken from the supported values shown in 
 * the comments.
 */
if ( isset( $_REQUEST['lg'] ) ) { 
    $CONFIG['language'] = $_REQUEST['lg']; 
} else if ( !isset( $_lg ) ) { 
    $CONFIG['language']     = 'en';        // 'fr' | 'en'
}

/**
 * Display (true) or hide (false) the "add news" link 
 * allowing the online creation of news by users
 */
 $CONFIG['display_add']     = true; // true | false

/**
 * News Expiration delays in days
 * News are automatically archived after this delay
 */
$CONFIG['expirationDelay']  = '60';

/**
 * Connection parameters to the eDNews database
 * You need a MySQL database to run eDNews
 * The install.sql script will create the news table
 */
$CONFIG['host']             = 'hostname';   // host of the MySQL db
$CONFIG['user']             = 'username';   // user to access the news db
$CONFIG['password']         = 'changeme';   // password to access the news db
$CONFIG['db']               = 'dbname';	    // database name

/**
 * Path the various components of eDNews
 * If used standalone you don't need to change these values but eDNews is meant
 * to be integrated in your web site or application, inside pages that have
 * different URLs that you can then specify here
 */
$CONFIG['addURL']           = $CONFIG['root'].'?action=add';
$CONFIG['startURL']         = $CONFIG['root'].'?action=null';
$CONFIG['viewURL']          = $CONFIG['root'].'?action=view';
$CONFIG['archiveURL']       = $CONFIG['root'].'?action=archive';

/**
 * Path to the templates used for display
 * This is not to change unless you want to create a central folder
 * for your templates somewhere else
 */
$CONFIG['templatePath'] = './templates/';

/**
 * Path to the eDToolbox by eDreamers
 * You only need to change this value in case you have an existing
 * installation of eDToolbox that you would like to reuse
 * Else the one provided with eDNews under this path is used
 */
$CONFIG['edtoolboxPath'] = './eDToolbox/';


/**
 * Debug modes
 * Set debug to true to test eDNews (without templates) in case you need to 
 * solve some problems. Set debugTemplate to true to test templates
 */
$CONFIG['debug']            = false;         // true | false
$CONFIG['debugTemplate']    = false;        // true | false


/**
 * You don't have to change the following values if you used the install.sql 
 * script to create the news table but you still have the freedom to rename
 * the news table and fields in your database.
 * If doing so, then update the following values to match your database
 */
$CONFIG['table']            = 'news';          // table storing the news
$CONFIG['fld_id']           = 'newsid';
$CONFIG['fld_title']        = 'nstitle';
$CONFIG['fld_content']      = 'nscontent';
$CONFIG['fld_dateCreated']  = 'nsdateCreated';
$CONFIG['fld_score']        = 'nsscore';
$CONFIG['fld_expired']      = 'nsexpired';
?>